Bug 203123 - print/pdf-renderer: fix build with openjdk8
Summary: print/pdf-renderer: fix build with openjdk8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks: 199591
  Show dependency treegraph
 
Reported: 2015-09-15 13:33 UTC by Steve Wills
Modified: 2015-10-16 18:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments
pdf-renderer patch (1.55 KB, patch)
2015-09-15 13:33 UTC, Steve Wills
no flags Details | Diff
updated patch (2.01 KB, patch)
2015-10-01 18:10 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2015-09-15 13:33:56 UTC
Created attachment 161061 [details]
pdf-renderer patch

Attached patch fixes build with openjdk8
Comment 1 Greg Lewis freebsd_committer 2015-09-16 17:29:06 UTC
As is, the patch will break building with openjdk7 and earlier, since that doesn't understand -Xdoclint:none.  The patch needs to be conditionally applied only if we're building with openjdk8 or higher.
Comment 2 Steve Wills freebsd_committer 2015-10-01 18:10:52 UTC
Created attachment 161610 [details]
updated patch

Here's an updated copy that conditionalizes the patch.
Comment 3 commit-hook freebsd_committer 2015-10-16 18:13:47 UTC
A commit references this bug:

Author: swills
Date: Fri Oct 16 18:13:28 UTC 2015
New revision: 399495
URL: https://svnweb.freebsd.org/changeset/ports/399495

Log:
  print/pdf-renderer: fix build with openjdk8

  PR:		203123
  Approved by:	maintainer timeout (ale, >2 weeks)

Changes:
  head/print/pdf-renderer/Makefile
  head/print/pdf-renderer/files/extra-patch-swinglabs-build-impl.xml